from django.urls import path, re_path
from .views import SendEmailView, search_recipients, ConversationListView, ConversationMessagesView, MarkAsReadView
from GestionMessagerie.views import MessagerieView, MessageView, MessageSimpleView

urlpatterns = [
    re_path(r'^messagerie/(?P<profile_id>[0-9]+)$', MessagerieView.as_view(), name="messagerie"),
    re_path(r'^messages$', MessageView.as_view(), name="messages"),
    re_path(r'^messages/(?P<id>[0-9]+)$', MessageSimpleView.as_view(), name="messages"),
    path('send-email/', SendEmailView.as_view(), name='send_email'),
    path('search-recipients/', search_recipients, name='search_recipients'),
    # Endpoints pour le chat instantané
    path('conversations/<int:profile_id>/', ConversationListView.as_view(), name='conversations'),
    path('conversations/messages/<str:conversation_id>/', ConversationMessagesView.as_view(), name='conversation_messages'),
    path('conversations/mark-as-read/<str:conversation_id>/', MarkAsReadView.as_view(), name='mark_as_read'),
]